Developers
API referenceReferenceProducts

Product - Create

Create an invoicing product for the selected business.

POST
/v1/invoicing/{business_slug}/product/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/invoicing/string/product/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "unit": "string",    "amount": 0.1,    "vat_rate": 0.1,    "vat_code": 1  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "code": "string",  "name": "string",  "unit": "string",  "amount": 0.1,  "vat_exclusive_amount": 0.1,  "vat_inclusive_amount": 0.1,  "vat_amount": 0.1,  "vat_rate": 0.1,  "vat_code": 1,  "is_vat_inclusive": true,  "account_id": 0,  "description": "string"}